Message Queue, v4.5.1 API Specification

## com.sun.messaging.jms.notification
Interface EventListener

All Superinterfaces:
  EventListener

    public interface EventListener

extends EventListener

An event listener object is used to receive asynchronously delivered MQ events.

MQ client runtime may notify an application about a specific MQ event if one has been set to the MQ connection.

Method Summary
`void` `onEvent(Event event)` Notify a MQ application of a MQ event.

Method Detail

### onEvent

    void onEvent(Event event)

  Notify a MQ application of a MQ event.

  Parameters:
    `event` - the event generated by MQ runtime.

Message Queue, v4.5.1 API Specification

Copyright (c) 2011, Oracle and/or its affiliates. All rights reserved.